function [p_corrected, thres] = mbca_Bonferroni(p, alpha, n)

% function mbca_Bonferroni performs Bonferroni correction on p-values
% 
% Input: 
%    p: a vector of p-values
%    alpha: level of confidence
%    n: number of tests (optional)
%    
% Output: 
%    p_corrected: corrected p-value 
%    thres: Bonferroni correction threshold (=alpha/n)
%    
% Code written by Won Hwa Kim, won.kim@uta.edu
% Updated: May 29, 2018

if nargin < 3
    n = length(p);
end

p_corrected = p;
thres = alpha / n;

p_corrected(p_corrected>thres) = 1;



