function [G]= mbca_inverseLGT(f, id, N)

% function mbca_inverseLGT transforms a linegraph L(G) to the original graph G. 
% 
% Input: 
%    f: function on the vertices of L(G)
%    id: ids of the edges obtained from LGT
%    N: number of vertices in G
%    
% Output: 
%    G: Adjacency matrix of the original graph
%    
% Note: It does not consider the special case of Y shaped graph. 
% 
% Code written by Won Hwa Kim, wonhwa@cs.wisc.edu
% Updated: June 24, 2013

G = zeros(N,N);
n_vertex = length(f);
for i=1:n_vertex
    G(id(i,1), id(i,2)) = f(i);
end
G = G + G'; 